# Generated by Django 4.2.16 on 2025-03-17 11:22

from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        (
            "djangoldp_tems",
            "0004_temsimage_temslocation_temsoffer_delete_temsimages_and_more",
        ),
    ]

    operations = [
        migrations.CreateModel(
            name="SentimentKeyword",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "TEMS Keyword",
                "verbose_name_plural": "TEMS Keywords",
                "abstract": False,
                "default_permissions": {"delete", "add", "view", "change", "control"},
                "rdf_type": "tems:Keyword",
                "container_path": "/objects/keywords/sentiments/",
                "serializer_fields": ["@id", "creation_date", "update_date", "name"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="SentimentTopic",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "TEMS Topic",
                "verbose_name_plural": "TEMS Topics",
                "abstract": False,
                "default_permissions": {"delete", "add", "view", "change", "control"},
                "rdf_type": "tems:Topic",
                "container_path": "/objects/topics/sentiments/",
                "serializer_fields": ["@id", "creation_date", "update_date", "name"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Sentiment",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "iframe",
                    models.CharField(
                        blank=True, default="", max_length=2000, null=True
                    ),
                ),
                (
                    "keywords",
                    models.ManyToManyField(
                        blank=True, to="djangoldp_sentiment.sentimentkeyword"
                    ),
                ),
                (
                    "location",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="djangoldp_tems.temslocation",
                    ),
                ),
                (
                    "providers",
                    models.ManyToManyField(
                        blank=True,
                        related_name="catalog_sentiment",
                        to="djangoldp_tems.temsprovider",
                    ),
                ),
                (
                    "topics",
                    models.ManyToManyField(
                        blank=True, to="djangoldp_sentiment.sentimenttopic"
                    ),
                ),
            ],
            options={
                "verbose_name": "TEMS Sentiment",
                "verbose_name_plural": "TEMS Sentiments",
                "abstract": False,
                "default_permissions": {"delete", "add", "view", "change", "control"},
                "rdf_type": ["tems:Sentiment"],
                "container_path": "/sentiments/",
                "serializer_fields": [
                    "@id",
                    "creation_date",
                    "update_date",
                    "keywords",
                    "location",
                    "iframe",
                    "topicsproviders",
                ],
                "nested_fields": ["keywords", "location", "topics", "providers"],
                "depth": 0,
            },
        ),
    ]
